org.eclipse.viatra.dse.visualizer

## Class DesignSpaceVisualizerOptions

- java.lang.Object
- - org.eclipse.viatra.dse.visualizer.DesignSpaceVisualizerOptions

-     public class DesignSpaceVisualizerOptions
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `showExplorationTrace`
    `boolean` | `showStateCodes`
    `boolean` | `showTransitionCodes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DesignSpaceVisualizerOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isShowExplorationTrace()`
    `boolean` | `isShowStateCodes()`
    `boolean` | `isShowTransitionCodes()`
    `void` | `setShowExplorationTrace(boolean showExplorationTrace)`
    `void` | `setShowStateCodes(boolean showStateCodes)`
    `void` | `setShowTransitionCodes(boolean showTransitionCodes)`
    `DesignSpaceVisualizerOptions` | `withOutExploraionTrace()`
    `DesignSpaceVisualizerOptions` | `withOutstateCodes()`
    `DesignSpaceVisualizerOptions` | `withOutTransitionCodes()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### showExplorationTrace

          public boolean showExplorationTrace

    - #### showStateCodes

          public boolean showStateCodes

    - #### showTransitionCodes

          public boolean showTransitionCodes

  - ### Constructor Detail

    - #### DesignSpaceVisualizerOptions

          public DesignSpaceVisualizerOptions()

  - ### Method Detail

    - #### withOutExploraionTrace

          public DesignSpaceVisualizerOptions withOutExploraionTrace()

    - #### withOutstateCodes

          public DesignSpaceVisualizerOptions withOutstateCodes()

    - #### withOutTransitionCodes

          public DesignSpaceVisualizerOptions withOutTransitionCodes()

    - #### isShowExplorationTrace

          public boolean isShowExplorationTrace()

    - #### setShowExplorationTrace

          public void setShowExplorationTrace(boolean showExplorationTrace)

    - #### isShowStateCodes

          public boolean isShowStateCodes()

    - #### setShowStateCodes

          public void setShowStateCodes(boolean showStateCodes)

    - #### isShowTransitionCodes

          public boolean isShowTransitionCodes()

    - #### setShowTransitionCodes

          public void setShowTransitionCodes(boolean showTransitionCodes)